declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * The element tag you want to use
     * Ex: section, main, header, footer, article
     */
    tag: {
        type: StringConstructor;
        default: string;
        required: false;
    };
    /**
     * The number of rows you want to add to the grid (Max: 6)
     */
    rowsNumber: {
        type: StringConstructor;
        required: false;
        validator: (prop: unknown) => boolean;
    };
    /**
     * Add attribute if you don't want padding around the main container
     */
    noPadding: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
}>, {}, {}, {
    gridRows(): string;
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The element tag you want to use
     * Ex: section, main, header, footer, article
     */
    tag: {
        type: StringConstructor;
        default: string;
        required: false;
    };
    /**
     * The number of rows you want to add to the grid (Max: 6)
     */
    rowsNumber: {
        type: StringConstructor;
        required: false;
        validator: (prop: unknown) => boolean;
    };
    /**
     * Add attribute if you don't want padding around the main container
     */
    noPadding: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
}>> & Readonly<{}>, {
    tag: string;
    noPadding: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
