import { type VariantProps } from 'class-variance-authority';
export declare const buttonVariants: (props?: {
    variant?: "primary" | "secondary" | "borderless" | "destructive";
    size?: "large" | "medium" | "small" | "extra-small";
    gap?: "large" | "medium" | "small" | "extra-small";
    btnType?: "icon" | "button";
    iconPosition?: "left" | "right" | "none";
} & import("class-variance-authority/types").ClassProp) => string;
export type ButtonVariants = VariantProps<typeof buttonVariants>;
