declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * Controls the size of the badge
     */
    size: {
        type: StringConstructor;
        required: false;
        default: string;
        validator: (prop: unknown) => boolean;
    };
    /**
     * Controls the text inside the badge
     */
    text: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Controls the text colour inside the badge
     */
    textColorClass: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Controls the background colour of the badge
     */
    bgColorClass: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Controls the position of the icon inside the badge
     */
    icon: {
        type: StringConstructor;
        required: false;
        default: any;
        validator: (prop: unknown) => boolean;
    };
}>, {}, {}, {
    sizeClasses(): "fx-text-sm fx-pb-4 fx-pt-2" | "fx-text-xs  fx-pb-2 fx-pt-1";
    iconClasses(): string;
    iconClass(): "fx-h-[20px] fx-w-[20px]" | "fx-h-[12px] fx-w-[12px]";
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Controls the size of the badge
     */
    size: {
        type: StringConstructor;
        required: false;
        default: string;
        validator: (prop: unknown) => boolean;
    };
    /**
     * Controls the text inside the badge
     */
    text: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Controls the text colour inside the badge
     */
    textColorClass: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Controls the background colour of the badge
     */
    bgColorClass: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Controls the position of the icon inside the badge
     */
    icon: {
        type: StringConstructor;
        required: false;
        default: any;
        validator: (prop: unknown) => boolean;
    };
}>> & Readonly<{}>, {
    size: string;
    icon: string;
    bgColorClass: string;
    textColorClass: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
