declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * The element tag you want to use
     * Ex: article, header, footer, etc.
     */
    tag: {
        type: StringConstructor;
        default: string;
        required: false;
    };
    /**
     * The column where the element start
     * [mobileValue, desktopValue]
     */
    colStart: {
        type: ArrayConstructor;
        required: false;
    };
    /**
     * The column where the element ends
     * [mobileValue, desktopValue]
     */
    colEnd: {
        type: ArrayConstructor;
        required: false;
    };
    /**
     * How many columns the elements takes
     * [mobileValue, desktopValue]
     */
    colSpan: {
        type: ArrayConstructor;
        required: false;
    };
    /**
     * The row where the element start
     * [mobileValue, desktopValue]
     */
    rowStart: {
        type: ArrayConstructor;
        required: false;
    };
    /**
     * The row where the element ends
     * [mobileValue, desktopValue]
     */
    rowEnd: {
        type: ArrayConstructor;
        required: false;
    };
    /**
     * How many rows the elements takes
     * [mobileValue, desktopValue]
     */
    rowSpan: {
        type: ArrayConstructor;
        required: false;
    };
}>, {}, {
    colStartMap: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        9: string;
        10: string;
        11: string;
        12: string;
        13: string;
    };
    colStartMapLg: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        9: string;
        10: string;
        11: string;
        12: string;
        13: string;
    };
    colEndMap: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        9: string;
        10: string;
        11: string;
        12: string;
        13: string;
    };
    colEndMapLg: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        9: string;
        10: string;
        11: string;
        12: string;
        13: string;
    };
    colSpanMap: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        9: string;
        10: string;
        11: string;
        12: string;
    };
    colSpanMapLg: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        9: string;
        10: string;
        11: string;
        12: string;
    };
    rowStartMap: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
    };
    rowStartMapLg: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
    };
    rowEndMap: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
    };
    rowEndMapLg: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
    };
    rowSpanMap: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
    };
    rowSpanMapLg: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
    };
}, {
    colStartCss(): string;
    colEndCss(): string;
    colSpanCss(): string;
    rowStartCss(): string;
    rowEndCss(): string;
    rowSpanCss(): string;
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The element tag you want to use
     * Ex: article, header, footer, etc.
     */
    tag: {
        type: StringConstructor;
        default: string;
        required: false;
    };
    /**
     * The column where the element start
     * [mobileValue, desktopValue]
     */
    colStart: {
        type: ArrayConstructor;
        required: false;
    };
    /**
     * The column where the element ends
     * [mobileValue, desktopValue]
     */
    colEnd: {
        type: ArrayConstructor;
        required: false;
    };
    /**
     * How many columns the elements takes
     * [mobileValue, desktopValue]
     */
    colSpan: {
        type: ArrayConstructor;
        required: false;
    };
    /**
     * The row where the element start
     * [mobileValue, desktopValue]
     */
    rowStart: {
        type: ArrayConstructor;
        required: false;
    };
    /**
     * The row where the element ends
     * [mobileValue, desktopValue]
     */
    rowEnd: {
        type: ArrayConstructor;
        required: false;
    };
    /**
     * How many rows the elements takes
     * [mobileValue, desktopValue]
     */
    rowSpan: {
        type: ArrayConstructor;
        required: false;
    };
}>> & Readonly<{}>, {
    tag: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
